<?PHP

ini_set('session.use_trans_sid', false); //Hides the PHP Session ID in the URLs

session_start();

ob_start();

//Name: Wonderful Wiki

//Author: Adam Boutcher



//Grab the customisations

require "config/config.php";



//set timezone

if (phpversion() >= 5)

{	

	if (isset($_SESSION['userid']))

	{

		require "mods/gettime.php";

		$newtime = gettimezone($_SESSION['userid']);

		date_default_timezone_set($newtime);

	}

	else

	{

	date_default_timezone_set($CONFIG['timezone']);

	}

}



//Fix Wiki Internal Tags i.e. Wiki: or System: etc

$int_tags = array("Wiki:", "System:", "Testing:", "tou");

$ext_tags = array("Wiki: ", "System: ", "Testing: ", "Terms of Use");



//page or content type

if (isset($_GET['wiki'])){



require 'mods/getarticle.php';

$menu_current['article'] = "class=\"current\"";

$article_id = getarticleid(strtolower($_GET['wiki']));

if (!isset($article_id)) {

header("HTTP/1.0 404 Not Found");

header("Location: error.php?e=404");

}

$article_mod = getartdate($article_id);

$article_loc = getarticle($article_id,$article_mod);

if (!file_exists($article_loc))

{

header("HTTP/1.0 404 Not Found");

header("Location: error.php?e=404");

}

$article_Main_Link = getarticletitle($article_id);

$article_title = strtolower(getarticletitle($article_id));

$article_title = str_ireplace($int_tags, $ext_tags, $article_title);

$article_usr = getarticleuser($article_id,$article_mod);

}

elseif (isset($_GET['tbk'])){

require 'mods/getarticle.php';

$menu_current['tbk'] = "class=\"current\"";



$article_id = getarticleid(strtolower($_GET['tbk']));

	$article_title = strtolower(getarticletitle($article_id));

	$article_title = str_ireplace($int_tags, $ext_tags, $article_title);

	$article_Main_Link = getarticletitle($article_id);

	if (!isset($article_id)) {

	header("HTTP/1.0 404 Not Found");

header("Location: error.php?e=404");

	}

	if (!isset($_GET['ver']))

	{

	$articledates = getartdate_all($article_id);

	$trackback_count = gettbkcount($article_id);

	}

	else

	{

	$article_mod = $_GET['ver'];

	$article_loc = getarticle($article_id,$article_mod);

	if (!file_exists($article_loc))

	{

	header("HTTP/1.0 404 Not Found");

header("Location: error.php?e=404");

	}

}

}

elseif (isset($_GET['edit']))

{

require 'mods/getarticle.php';

$menu_current['edit'] = "class=\"current\"";



$article_id = getarticleid(strtolower($_GET['edit']));

if (!isset($article_id)) {

header("HTTP/1.0 404 Not Found");

header("Location: error.php?e=404");

}

$article_mod = getartdate($article_id);

$article_loc = getarticle($article_id,$article_mod);

if (!file_exists($article_loc))

{

header("HTTP/1.0 404 Not Found");

header("Location: error.php?e=404");

}

$article_Main_Link = getarticletitle($article_id);

$article_title = strtolower(getarticletitle($article_id));

$article_title = str_ireplace($int_tags, $ext_tags, $article_title);

$article_usr = getarticleuser($article_id,$article_mod);

}



elseif (isset($_GET['user']))

{

header("HTTP/1.1 301 Moved Permanently");

header("Location: user.php");

}

elseif (isset($_GET['register']))

{

}



else

{

$menu_current['home'] = "class=\"current\"";

require 'mods/random.php';

require 'mods/getarticle.php';



$max_article_id = articlenumber();

$article_id = rand(1,$max_article_id);

$article_mod = getartdate($article_id);

$article_loc = getarticle($article_id,$article_mod);

$article_title = strtolower(getarticletitle($article_id));



//incase it selects an article that has been deleted

do

{

$article_id = rand(1,$max_article_id);

$article_mod = getartdate($article_id);

$article_loc = getarticle($article_id,$article_mod);

$article_title = strtolower(getarticletitle($article_id));

}

while(!isset($article_title));

$article_Main_Link = getarticletitle($article_id);

$article_title = str_ireplace($int_tags, $ext_tags, $article_title);

$article_usr = getarticleuser($article_id,$article_mod);

}





//Make the HTML

require'inc/html_headers.inc';

require'inc/body_start.inc';



if ((!isset($_GET['wiki'])) && (!isset($_GET['edit'])) && (!isset($_GET['tbk'])) && (!isset($_GET['user']))&& (!isset($_GET['register'])))

{

	require'inc/home_content.inc';

	require'inc/wiki_contentrandom.inc';



}

elseif ((isset($_GET['wiki'])) && (!isset($_GET['edit'])) && (!isset($_GET['tbk'])) && (!isset($_GET['user'])))

{

require'inc/wiki_content.inc';

}

elseif ((!isset($_GET['wiki'])) && (!isset($_GET['edit'])) && (isset($_GET['tbk'])) && (!isset($_GET['user'])))

{

require'inc/track_content.inc';

}

elseif ((!isset($_GET['wiki'])) && (isset($_GET['edit'])) && (!isset($_GET['tbk'])) && (!isset($_GET['user'])))

{

require'inc/edit_content.inc';

}

elseif ((!isset($_GET['wiki'])) && (!isset($_GET['edit'])) && (!isset($_GET['tbk'])) && (!isset($_GET['user']))&& (isset($_GET['register'])))

{

require'inc/register.inc';

}



			?>

<br/>

<br/>

<div class="date"><?php if(isset($filename)){?>

Last Edited: <em><?PHP echo date('l jS F Y (g:i a)', filemtime($filename)); ?> <?php if ((isset($_GET['wiki']))||(isset($_GET['tbk']))||(isset($_GET['edit']))) {

require 'mods/countedit.php';

require 'mods/stars.php';

$ec = editcount($article_usr);

echo "by <a href=\"user.php?show=".ucfirst($article_usr)."\" >".ucfirst($article_usr)."</a> ".stars($ec);

}?></em>

				<?PHP } ?><br/></div>

		</div>

		<div class="sidenav"><?PHP 

		if(isset($_GET['wiki']))

		{require'inc/vmenu_wiki.inc';}

		else

		{require'inc/vmenu_home.inc';}?></div>

		<div class="clearer"><span></span></div>

	</div>

</div>

<div class="footer"><?PHP require'inc/footer.inc'; ?></div>

</body>

</html>